EjbDocletTask.EjbSpecVersion (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ejb.EjbDocletTask.EjbSpecVersion class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ejb
Class EjbDocletTask.EjbSpecVersion

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.ejb.EjbDocletTask.EjbSpecVersion

Enclosing class:
  EjbDocletTask

public static class EjbDocletTask.EjbSpecVersion
extends org.apache.tools.ant.types.EnumeratedAttribute

Author:
  Ara Abrahamian (ara_e@email.com)
created
  July 19, 2001

Field Summary
`static String` | `EJB_1_1`
`static String` | `EJB_2_0`
`static String` | `EJB_2_1`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`EjbDocletTask.EjbSpecVersion()`

Method Summary
`String[]` | `getValues()` Gets the Values attribute of the EjbSpecVersion object

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EJB_1_1

    public static final String EJB_1_1

See Also:
  Constant Field Values

### EJB_2_0

    public static final String EJB_2_0

See Also:
  Constant Field Values

### EJB_2_1

    public static final String EJB_2_1

See Also:
  Constant Field Values

Constructor Detail

### EjbDocletTask.EjbSpecVersion

    public EjbDocletTask.EjbSpecVersion()

Method Detail

### getValues

    public String[] getValues()

  Gets the Values attribute of the EjbSpecVersion object

  Returns:
    The Values value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD